## tin 2.6.4~20240801

=== Makefile ===
# Top level Makefile for tin
# - for configuration options read the doc/INSTALL file.
#
# Updated: 2024-04-02
#

SHELL	= @SHELL@

PROJECT	= tin
LVER	= 2
PVER	= 6
SVER	= 4
VER	= $(LVER).$(PVER).$(SVER)
DVER	= 20240801
EXE	= tin

# directory structure
TOPDIR	= .
DOCDIR	= ./doc
INCDIR	= ./include
OBJDIR	= ./src
SRCDIR	= ./src
PCREDIR	= ./pcre
CANDIR	= ./libcanlock
TOLDIR	= ./tools
PODIR	= ./po
L10NDIR	= ./doc/l10n

HFILES	= \
	$(INCDIR)/bool.h \
	$(INCDIR)/bugrep.h \
	$(INCDIR)/debug.h \
	$(INCDIR)/extern.h \
	$(INCDIR)/keymap.h \
	$(INCDIR)/missing_fd.h \
	$(INCDIR)/newsrc.h \
	$(INCDIR)/nntplib.h \
	$(INCDIR)/policy.h \
	$(INCDIR)/proto.h \
	$(INCDIR)/rfc2046.h \
	$(INCDIR)/snprintf.h \
	$(INCDIR)/stpwatch.h \
	$(INCDIR)/tcurses.h \
	$(INCDIR)/tin.h \
	$(INCDIR)/tinrc.h \
	$(INCDIR)/tnntp.h \
	$(INCDIR)/tnntps.h \
	$(INCDIR)/trace.h \
	$(INCDIR)/version.h

CFILES	= \
	$(SRCDIR)/active.c \
	$(SRCDIR)/art.c \
	$(SRCDIR)/attrib.c \
	$(SRCDIR)/auth.c \
	$(SRCDIR)/charset.c \
	$(SRCDIR)/color.c \
	$(SRCDIR)/config.c \
	$(SRCDIR)/cook.c \
	$(SRCDIR)/curses.c \
	$(SRCDIR)/debug.c\
	$(SRCDIR)/envarg.c \
	$(SRCDIR)/feed.c \
	$(SRCDIR)/filter.c \
	$(SRCDIR)/getline.c \
	$(SRCDIR)/global.c \
	$(SRCDIR)/group.c \
	$(SRCDIR)/hashstr.c \
	$(SRCDIR)/header.c \
	$(SRCDIR)/heapsort.c \
	$(SRCDIR)/help.c\
	$(SRCDIR)/inews.c \
	$(SRCDIR)/init.c \
	$(SRCDIR)/joinpath.c \
	$(SRCDIR)/keymap.c \
	$(SRCDIR)/lang.c \
	$(SRCDIR)/langinfo.c \
	$(SRCDIR)/list.c \
	$(SRCDIR)/lock.c \
	$(SRCDIR)/mail.c \
	$(SRCDIR)/main.c \
	$(SRCDIR)/makecfg.c \
	$(SRCDIR)/memory.c \
	$(SRCDIR)/mimetypes.c \
	$(SRCDIR)/misc.c \
	$(SRCDIR)/newsrc.c\
	$(SRCDIR)/nntplib.c \
	$(SRCDIR)/nntps.c \
	$(SRCDIR)/nrctbl.c \
	$(SRCDIR)/options_menu.c \
	$(SRCDIR)/page.c \
	$(SRCDIR)/parsdate.y \
	$(SRCDIR)/pgp.c \
	$(SRCDIR)/post.c \
	$(SRCDIR)/prompt.c \
	$(SRCDIR)/read.c \
	$(SRCDIR)/refs.c \
	$(SRCDIR)/regex.c \
	$(SRCDIR)/rfc1524.c \
	$(SRCDIR)/rfc2045.c \
	$(SRCDIR)/rfc2046.c \
	$(SRCDIR)/rfc2047.c \
	$(SRCDIR)/save.c \
	$(SRCDIR)/screen.c \
	$(SRCDIR)/search.c \
	$(SRCDIR)/select.c \
	$(SRCDIR)/sigfile.c \
	$(SRCDIR)/signal.c \
	$(SRCDIR)/snprintf.c \
	$(SRCDIR)/strftime.c \
	$(SRCDIR)/string.c \
	$(SRCDIR)/tags.c \
	$(SRCDIR)/tcurses.c \
	$(SRCDIR)/my_tmpfile.c \
	$(SRCDIR)/thread.c \
	$(SRCDIR)/trace.c \
	$(SRCDIR)/version.c \
	$(SRCDIR)/wildmat.c \
	$(SRCDIR)/xface.c \
	$(SRCDIR)/xref.c

DOC	= \
	$(DOCDIR)/CHANGES \
	$(DOCDIR)/CHANGES.old \
	$(DOCDIR)/CREDITS \
	$(DOCDIR)/DEBUG_REFS \
	$(DOCDIR)/INSTALL \
	$(DOCDIR)/TODO \
	$(DOCDIR)/WHATSNEW \
	$(DOCDIR)/art_handling.txt \
	$(DOCDIR)/article.txt \
	$(DOCDIR)/auth.txt \
	$(DOCDIR)/config-anomalies \
	$(DOCDIR)/filtering \
	$(DOCDIR)/good-netkeeping-seal \
	$(DOCDIR)/internals.txt \
	$(DOCDIR)/iso2asc.txt \
	$(DOCDIR)/keymap.sample \
	$(DOCDIR)/mailcap.sample \
	$(DOCDIR)/mbox.5 \
	$(DOCDIR)/mime.types \
	$(DOCDIR)/mmdf.5 \
	$(DOCDIR)/newsoverview.5 \
	$(DOCDIR)/nov_tests \
	$(DOCDIR)/opt-case.1 \
	$(DOCDIR)/pgp.txt \
	$(DOCDIR)/rcvars.txt \
	$(DOCDIR)/reading-mail.txt \
	$(DOCDIR)/umlaute.txt \
	$(DOCDIR)/umlauts.txt \
	$(DOCDIR)/url_handler.1 \
	$(DOCDIR)/tin.1 \
	$(DOCDIR)/tin.5 \
	$(DOCDIR)/tin.defaults \
	$(DOCDIR)/tinews.1 \
	$(DOCDIR)/tools.txt \
	$(DOCDIR)/w2r.1 \
	$(DOCDIR)/wildmat.3

TOL	= \
	$(TOLDIR)/expiretover \
	$(TOLDIR)/metamutt \
	$(TOLDIR)/opt-case.pl \
	$(TOLDIR)/tinlock \
	$(TOLDIR)/tinews.pl \
	$(TOLDIR)/url_handler.pl \
	$(TOLDIR)/url_handler.sh \
	$(TOLDIR)/w2r.pl

TOP	= \
	$(TOPDIR)/Makefile \
	$(TOPDIR)/MANIFEST \
	$(TOPDIR)/README \
	$(TOPDIR)/README.MAC \
	$(TOPDIR)/README.WIN \
	$(TOPDIR)/aclocal.m4 \
	$(TOPDIR)/conf-tin \
	$(TOPDIR)/config.guess \
	$(TOPDIR)/config.sub \
	$(TOPDIR)/configure \
	$(TOPDIR)/configure.in \
	$(TOPDIR)/install-sh \
	$(TOPDIR)/po4a.conf \
	$(TOPDIR)/tin.spec

PCRE	= \
	$(PCREDIR)/AUTHORS \
	$(PCREDIR)/COPYING \
	$(PCREDIR)/ChangeLog \
	$(PCREDIR)/INSTALL \
	$(PCREDIR)/LICENCE \
	$(PCREDIR)/Makefile.in \
	$(PCREDIR)/Makefile.in-old \
	$(PCREDIR)/NEWS \
	$(PCREDIR)/NON-UNIX-USE \
	$(PCREDIR)/README \
	$(PCREDIR)/RunTest.in \
	$(PCREDIR)/config.h \
	$(PCREDIR)/configure.in \
	$(PCREDIR)/version.sh \
	$(PCREDIR)/dftables.c \
	$(PCREDIR)/pcre-config.in \
	$(PCREDIR)/pcre.h \
	$(PCREDIR)/pcre_compile.c \
	$(PCREDIR)/pcre_config.c \
	$(PCREDIR)/pcre_dfa_exec.c \
	$(PCREDIR)/pcre_exec.c \
	$(PCREDIR)/pcre_fullinfo.c \
	$(PCREDIR)/pcre_get.c \
	$(PCREDIR)/pcre_globals.c \
	$(PCREDIR)/pcre_info.c \
	$(PCREDIR)/pcre_internal.h \
	$(PCREDIR)/pcre_maketables.c \
	$(PCREDIR)/pcre_newline.c \
	$(PCREDIR)/pcre_ord2utf8.c \
	$(PCREDIR)/pcre_printint.src \
	$(PCREDIR)/pcre_refcount.c \
	$(PCREDIR)/pcre_study.c \
	$(PCREDIR)/pcre_tables.c \
	$(PCREDIR)/pcre_try_flipped.c \
	$(PCREDIR)/pcre_ucp_searchfuncs.c \
	$(PCREDIR)/pcre_valid_utf8.c \
	$(PCREDIR)/pcre_version.c \
	$(PCREDIR)/pcre_xclass.c \
	$(PCREDIR)/pcredemo.c \
	$(PCREDIR)/pcregrep.c \
	$(PCREDIR)/pcreposix.c \
	$(PCREDIR)/pcreposix.h \
	$(PCREDIR)/pcretest.c \
	$(PCREDIR)/perltest \
	$(PCREDIR)/ucp.h \
	$(PCREDIR)/ucpinternal.h \
	$(PCREDIR)/ucptable.c \
	$(PCREDIR)/doc/pcre.3 \
	$(PCREDIR)/doc/pcrepattern.3 \
	$(PCREDIR)/testdata/testinput1 \
	$(PCREDIR)/testdata/testinput2 \
	$(PCREDIR)/testdata/testinput3 \
	$(PCREDIR)/testdata/testinput4 \
	$(PCREDIR)/testdata/testinput5 \
	$(PCREDIR)/testdata/testinput6 \
	$(PCREDIR)/testdata/testinput7 \
	$(PCREDIR)/testdata/testinput8 \
	$(PCREDIR)/testdata/testinput9 \
	$(PCREDIR)/testdata/testoutput1 \
	$(PCREDIR)/testdata/testoutput2 \
	$(PCREDIR)/testdata/testoutput3 \
	$(PCREDIR)/testdata/testoutput4 \
	$(PCREDIR)/testdata/testoutput5 \
	$(PCREDIR)/testdata/testoutput6 \
	$(PCREDIR)/testdata/testoutput7 \
	$(PCREDIR)/testdata/testoutput8 \
	$(PCREDIR)/testdata/testoutput9

CAN	= \
	$(CANDIR)/COPYING \
	$(CANDIR)/ChangeLog \
	$(CANDIR)/ChangeLog_V0 \
	$(CANDIR)/ChangeLog_V1 \
	$(CANDIR)/ChangeLog_V2 \
	$(CANDIR)/ChangeLog_V3 \
	$(CANDIR)/INSTALL \
	$(CANDIR)/LICENSE \
	$(CANDIR)/Makefile.in \
	$(CANDIR)/README \
	$(CANDIR)/src/base64.c \
	$(CANDIR)/src/canlock.c \
	$(CANDIR)/src/hmac.c \
	$(CANDIR)/src/secret.c \
	$(CANDIR)/src/sha1.c \
	$(CANDIR)/src/sha224-256.c \
	$(CANDIR)/src/sha384-512.c \
	$(CANDIR)/src/usha.c \
	$(CANDIR)/include/base64.h \
	$(CANDIR)/include/canlock.h \
	$(CANDIR)/include/canlock-private.h \
	$(CANDIR)/include/config.h \
	$(CANDIR)/include/sha-private.h \
	$(CANDIR)/include/sha.h \
	$(CANDIR)/test/canlocktest.c \
	$(CANDIR)/test/canlocktest_legacy.c \
	$(CANDIR)/test/hkdf.c \
	$(CANDIR)/test/shatest.c \
	$(CANDIR)/util/canlock.c

MISC	= \
	$(INCDIR)/autoconf.hin \
	$(SRCDIR)/Makefile.in \
	$(SRCDIR)/tincfg.tbl

POFILES = \
	$(PODIR)/Makefile.inn \
	$(PODIR)/POTFILES.in \
	$(PODIR)/$(PROJECT).pot \
	$(PODIR)/da.gmo \
	$(PODIR)/da.po \
	$(PODIR)/de.gmo \
	$(PODIR)/de.po \
	$(PODIR)/en_GB.gmo \
	$(PODIR)/en_GB.po \
	$(PODIR)/es.gmo \
	$(PODIR)/es.po \
	$(PODIR)/et.gmo \
	$(PODIR)/et.po \
	$(PODIR)/fr.gmo \
	$(PODIR)/fr.po \
	$(PODIR)/ru.gmo \
	$(PODIR)/ru.po \
	$(PODIR)/sv.gmo \
	$(PODIR)/sv.po \
	$(PODIR)/tr.gmo \
	$(PODIR)/tr.po \
	$(PODIR)/zh_CN.po \
	$(PODIR)/zh_CN.gmo \
	$(PODIR)/zh_TW.po \
	$(PODIR)/zh_TW.gmo

L10NFILES = \
	$(L10NDIR)/de/tin.1 \
	$(L10NDIR)/de/tin.5 \
	$(L10NDIR)/de.add \
	$(L10NDIR)/de.po \
	$(L10NDIR)/en_GB/tin.1 \
	$(L10NDIR)/en_GB/tin.5 \
	$(L10NDIR)/en_GB.po \
	$(L10NDIR)/es/tin.1 \
	$(L10NDIR)/es/tin.5 \
	$(L10NDIR)/es.po \
	$(L10NDIR)/tin-man.pot

ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(POFILES) $(L10NFILES)

ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(CANDIR)/include $(CANDIR)/src $(CANDIR)/test $(CANDIR)/util/ $(PODIR) $(L10NDIR) $(L10NDIR)/de $(L10NDIR)/en_GB

# standard commands
CD	= cd
CHMOD	= chmod
CP	= cp -p
ECHO	= echo
LS	= ls
MAKE	= make
MV	= mv
NROFF	= groff -Tascii
RM	= rm
SHELL	= /bin/sh
TAR	= tar
GZIP	= gzip
BZIP2	= bzip2
XZ	= xz
WC	= wc
SED	= sed
TR	= tr
TEST	= test
PO4A	= po4a

all:
	@$(ECHO) "Top level Makefile for the $(PROJECT) v$(VER) Usenet newsreader."
	@$(ECHO) " "
	@$(ECHO) "To compile the source code type 'make build' or change to the"
	@$(ECHO) "source directory by typing 'cd src' and then type 'make'."
	@$(ECHO) " "
	@$(ECHO) "This Makefile offers the following general purpose options:"
	@$(ECHO) " "
	@$(ECHO) "    make build           [ Compile $(PROJECT) ]"
	@$(ECHO) "    make clean           [ Delete all object and backup files ]"
	@$(ECHO) "    make dist            [ Create a gzipped & bzipped distribution tar file ]"
	@$(ECHO) "    make distclean       [ Delete all config, object and backup files ]"
	@$(ECHO) "    make install         [ Install the binary and the manual page ]"
	@$(ECHO) "    make install_sysdefs [ Install the system-wide-defaults file ]"
	@$(ECHO) "    make manpage         [ Create nroff version of manual page ]"
	@$(ECHO) "    make manifest        [ Create MANIFEST ]"
	@$(ECHO) " "

build:
	@-if $(TEST) -r $(SRCDIR)/Makefile ; then $(CD) $(SRCDIR) && $(MAKE) ; else $(ECHO) "You need to run configure first - didn't you read README?" ; fi

install:
	@$(CD) $(SRCDIR) && $(MAKE) install

install_sysdefs:
	@$(CD) $(SRCDIR) && $(MAKE) install_sysdefs

clean:
	@-$(RM) -f \
	*~ \
	$(DOCDIR)/*~ \
	$(INCDIR)/*~ \
	$(SRCDIR)/*~ \
	$(PCREDIR)/*~
	@-if $(TEST) -r $(PCREDIR)/Makefile ; then $(CD) $(PCREDIR) && $(MAKE) clean ; fi
	@-if $(TEST) -r $(PODIR)/Makefile ; then $(CD) $(PODIR) && $(MAKE) clean ; fi
	@-if $(TEST) -r $(SRCDIR)/Makefile ; then $(CD) $(SRCDIR) && $(MAKE) clean ; fi
	@-if $(TEST) -r $(CANDIR)/Makefile ; then $(CD) $(CANDIR) && $(MAKE) clean ; fi

man:
	@$(MAKE) manpage

manpage:
	@$(ECHO) "Creating $(NROFF) man page for $(EXE)-$(VER)..."
	@$(NROFF) -man $(DOCDIR)/tin.1 > $(DOCDIR)/$(EXE).nrf

# Use 2 passes for creating MANIFEST because its size changes (it's not likely
# that we'll need 3 passes, since that'll happen only when the grand total's
# digits change).
manifest:
	@$(ECHO) "Creating MANIFEST..."
	@$(ECHO) "MANIFEST for $(PROJECT)-$(VER) (`date`)" > MANIFEST.tmp
	@$(ECHO) "----------------------------------------------------" >> MANIFEST.tmp
	@$(CP) MANIFEST.tmp MANIFEST
	@$(WC) -c $(ALL_FILES) >> MANIFEST
	@$(WC) -c $(ALL_FILES) >> MANIFEST.tmp
	@$(MV) MANIFEST.tmp MANIFEST

chmod:
	@$(ECHO) "Setting the file permissions..."
	@$(CHMOD) 644 $(ALL_FILES)
	@$(CHMOD) 755 \
	$(ALL_DIRS) \
	$(TOPDIR)/conf-tin \
	$(TOPDIR)/config.guess \
	$(TOPDIR)/config.sub \
	$(TOPDIR)/configure \
	$(TOPDIR)/install-sh \
	$(TOLDIR)/expiretover \
	$(TOLDIR)/metamutt \
	$(TOLDIR)/opt-case.pl \
	$(TOLDIR)/tinlock \
	$(TOLDIR)/tinews.pl \
	$(TOLDIR)/url_handler.pl \
	$(TOLDIR)/url_handler.sh \
	$(TOLDIR)/w2r.pl \
	$(PCREDIR)/perltest \
	$(PCREDIR)/version.sh

tar:
	@$(ECHO) "Generating gzipped tar file..."
	@-$(RM) -f $(PROJECT)-$(VER).tar.gz
	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
	`$(ECHO) $(ALL_FILES) \
	| $(TR) -s '[[:space:]]' "[\012*]" \
	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
	| $(TR) "[\012]" " "`
	@$(GZIP) -9 $(PROJECT)-$(VER).tar
	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.gz
	@$(LS) -l $(PROJECT)-$(VER).tar.gz

bzip2:
	@$(ECHO) "Generating bzipped tar file..."
	@-$(RM) -f $(PROJECT)-$(VER).tar.bz2
	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
	`$(ECHO) $(ALL_FILES) \
	| $(TR) -s '[[:space:]]' "[\012*]" \
	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
	| $(TR) "[\012]" " "`
	@$(BZIP2) -9 $(PROJECT)-$(VER).tar
	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.bz2
	@$(LS) -l $(PROJECT)-$(VER).tar.bz2

xz:
	@$(ECHO) "Generating xz compressd tar file..."
	@-$(RM) -f $(PROJECT)-$(VER).tar.xz
	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
	`$(ECHO) $(ALL_FILES) \
	| $(TR) -s '[[:space:]]' "[\012*]" \
	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
	| $(TR) "[\012]" " "`
	@$(XZ) -z -F xz -9e $(PROJECT)-$(VER).tar
	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.xz
	@$(LS) -l $(PROJECT)-$(VER).tar.xz

#
# I know it's ugly, but it works
#
name:
	@DATE=`date +%Y%m%d` ; NAME=`basename \`pwd\`` ;\
	if $(TEST) $$NAME != "$(PROJECT)-$(VER)" ; then \

=== debian/changelog ===
tin (1:2.6.4~20240801-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sat, 03 Aug 2024 10:44:48 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all future=+lfs

D := $(CURDIR)/debian/tin

%:
	dh $@

override_dh_clean:
	dh_clean doc/CHANGES.tmp

override_dh_autoreconf:

override_dh_auto_configure:
	cf_cv_corefile=yes \
	dh_auto_configure -- \
		--with-pcre2-config --with-domain-name=/etc/mailname \
		--with-nntps=openssl \
		--with-mailbox=/var/mail \
		--with-editor=/usr/bin/editor --with-ispell=ispell \
		--without-pgp --without-pgpk --with-gpg=gpg \
		--without-metamail --with-slrnface=slrnface \
		--with-shell=bash \
		--with-spool-dir=/var/spool/news \
		--with-nov-dir=/var/spool/news/over.view \
		--with-libdir=/var/lib/news --with-inews-dir=/usr/bin \
		--with-nntp-default-server=localhost \
		--with-screen=ncursesw --enable-nntp --enable-ipv6 \
		--enable-included-msgs --enable-nls \
		--enable-mh-mail-handling --enable-cancel-locks \
		--enable-heapsort --enable-debug --with-pkg-config \
		--with-mime-default-charset=ISO-8859-15

override_dh_auto_build:
	dh_auto_build --sourcedir=src

override_dh_auto_install:
	$(MAKE) -C src install_nls prefix=$D/usr

override_dh_installchangelogs:
	cat doc/CHANGES doc/CHANGES.old > doc/CHANGES.tmp
	dh_installchangelogs doc/CHANGES.tmp

## tin 2.6.4~20240917

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20240801
+DVER	= 20240917
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.4~20240917-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Wed, 18 Sep 2024 21:52:25 +0200

## tin 2.6.4~20241019

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20240917
+DVER	= 20241019
 EXE	= tin
 
 # directory structure
@@ -159,6 +159,7 @@
 
 TOL	= \
 	$(TOLDIR)/expiretover \
+	$(TOLDIR)/flnews2tin.pl \
 	$(TOLDIR)/metamutt \
 	$(TOLDIR)/opt-case.pl \
 	$(TOLDIR)/tinlock \
@@ -422,6 +423,7 @@
 	$(TOPDIR)/configure \
 	$(TOPDIR)/install-sh \
 	$(TOLDIR)/expiretover \
+	$(TOLDIR)/flnews2tin.pl \
 	$(TOLDIR)/metamutt \
 	$(TOLDIR)/opt-case.pl \
 	$(TOLDIR)/tinlock \
@@ -473,4 +475,3 @@
 #
 name:
 	@DATE=`date +%Y%m%d` ; NAME=`basename \`pwd\`` ;\
-	if $(TEST) $$NAME != "$(PROJECT)-$(VER)" ; then \

=== debian/changelog ===
tin (1:2.6.4~20241019-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 20 Oct 2024 22:34:05 +0200

## tin 2.6.4~20241109

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20241019
+DVER	= 20241109
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.4~20241109-2) unstable; urgency=medium

  * Fix the generated Sender header.

 -- Marco d'Itri <md@linux.it>  Wed, 13 Nov 2024 17:11:28 +0100

tin (1:2.6.4~20241109-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Sun, 10 Nov 2024 02:07:44 +0100

## tin 2.6.4~20241128

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20241109
+DVER	= 20241128
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.4~20241128-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use libidn2 and liburiparser.
  * Use --enable-long-article-numbers.

 -- Marco d'Itri <md@linux.it>  Sun, 01 Dec 2024 19:10:08 +0100

=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,7 @@
 		--with-nntp-default-server=localhost \
 		--with-screen=ncursesw --enable-nntp --enable-ipv6 \
 		--enable-included-msgs --enable-nls \
+		--enable-long-article-numbers \
 		--enable-mh-mail-handling --enable-cancel-locks \
 		--enable-heapsort --enable-debug --with-pkg-config \
 		--with-mime-default-charset=ISO-8859-15

## tin 2.6.4

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 4
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20241128
+DVER	= 20241224
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.4-1) unstable; urgency=medium

  * New upstream release. Fixes:
    + Various markup issues in man pages. (Closes: #1089489)

 -- Marco d'Itri <md@linux.it>  Fri, 03 Jan 2025 14:09:16 +0100

=== debian/control ===
Source: tin
Section: news
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper-compat (= 13), pkgconf,
 bison,
 libcanlock-dev,
 libgsasl-dev,
 libicu-dev,
 libidn2-dev,
 libncurses-dev,
 libpcre2-dev,
 libssl-dev,
 liburiparser-dev,
 libuu-dev,
 zlib1g-dev,
Standards-Version: 4.7.0.0
Rules-Requires-Root: no
Homepage: http://www.tin.org/
Vcs-Git: https://salsa.debian.org/md/tin.git
Vcs-Browser: https://salsa.debian.org/md/tin

Package: tin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: default-mta | mail-transport-agent
Suggests: gnupg, ispell
Provides: news-reader
Description: Full-screen easy to use Usenet newsreader
 tin can read news locally (i.e. from /var/spool/news) or remotely (rtin or
 tin -r option) via an NNTP (Network News Transport Protocol) server.

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 
 %:
 	dh $@
-
-override_dh_clean:
-	dh_clean doc/CHANGES.tmp
 
 override_dh_autoreconf:

## tin 2.6.5~20250209

=== debian/changelog ===
tin (1:2.6.5~20250209-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + Various markup issues in man pages. (Closes: #1093395)

 -- Marco d'Itri <md@linux.it>  Sun, 16 Feb 2025 18:38:27 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Depends: debhelper-compat (= 13), pkgconf,
  bison,
  libcanlock-dev,
+ libcurl-dev,
  libgsasl-dev,
  libicu-dev,
  libidn2-dev,

## tin 2.6.5~20250309

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2024-04-02
+# Updated: 2025-01-09
 #
 
 SHELL	= @SHELL@
@@ -9,9 +9,9 @@
 PROJECT	= tin
 LVER	= 2
 PVER	= 6
-SVER	= 4
+SVER	= 5
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20241224
+DVER	= 20250209
 EXE	= tin
 
 # directory structure
@@ -24,7 +24,7 @@
 CANDIR	= ./libcanlock
 TOLDIR	= ./tools
 PODIR	= ./po
-L10NDIR	= ./doc/l10n
+POMANDIR	= ./po-man
 
 HFILES	= \
 	$(INCDIR)/bool.h \
@@ -317,21 +317,21 @@
 	$(PODIR)/zh_TW.gmo
 
 L10NFILES = \
-	$(L10NDIR)/de/tin.1 \
-	$(L10NDIR)/de/tin.5 \
-	$(L10NDIR)/de.add \
-	$(L10NDIR)/de.po \
-	$(L10NDIR)/en_GB/tin.1 \
-	$(L10NDIR)/en_GB/tin.5 \
-	$(L10NDIR)/en_GB.po \
-	$(L10NDIR)/es/tin.1 \
-	$(L10NDIR)/es/tin.5 \
-	$(L10NDIR)/es.po \
-	$(L10NDIR)/tin-man.pot
+	$(POMANDIR)/de/tin.1 \
+	$(POMANDIR)/de/tin.5 \
+	$(POMANDIR)/de.add \
+	$(POMANDIR)/de.po \
+	$(POMANDIR)/en_GB/tin.1 \
+	$(POMANDIR)/en_GB/tin.5 \
+	$(POMANDIR)/en_GB.po \
+	$(POMANDIR)/es/tin.1 \
+	$(POMANDIR)/es/tin.5 \
+	$(POMANDIR)/es.po \
+	$(POMANDIR)/tin-man.pot
 
 ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(POFILES) $(L10NFILES)
 
-ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(CANDIR)/include $(CANDIR)/src $(CANDIR)/test $(CANDIR)/util/ $(PODIR) $(L10NDIR) $(L10NDIR)/de $(L10NDIR)/en_GB
+ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(CANDIR)/include $(CANDIR)/src $(CANDIR)/test $(CANDIR)/util/ $(PODIR) $(POMANDIR) $(POMANDIR)/de $(POMANDIR)/en_GB
 
 # standard commands
 CD	= cd

=== debian/changelog ===
tin (1:2.6.5~20250309-2) unstable; urgency=medium

  * Applied patch fix_null_fclose from the upstream maintainer to fix
    a possible segmentation fault. The bug was introduced in -1.

 -- Marco d'Itri <md@linux.it>  Tue, 11 Mar 2025 00:54:16 +0100

tin (1:2.6.5~20250309-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + Various markup issues in man pages. (Closes: #1096177)

 -- Marco d'Itri <md@linux.it>  Mon, 10 Mar 2025 23:41:30 +0100

## tin 2.6.5~20250409

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 5
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20250209
+DVER	= 20250409
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.5~20250409-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Fri, 11 Apr 2025 00:14:16 +0200

## tin 2.6.5~20250707

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2025-01-09
+# Updated: 2025-04-25
 #
 
 SHELL	= @SHELL@
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 5
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20250409
+DVER	= 20250707
 EXE	= tin
 
 # directory structure
@@ -57,6 +57,7 @@
 	$(SRCDIR)/color.c \
 	$(SRCDIR)/config.c \
 	$(SRCDIR)/cook.c \
+	$(SRCDIR)/crc32.c \
 	$(SRCDIR)/curses.c \
 	$(SRCDIR)/debug.c\
 	$(SRCDIR)/envarg.c \
@@ -474,4 +475,3 @@
 # I know it's ugly, but it works
 #
 name:
-	@DATE=`date +%Y%m%d` ; NAME=`basename \`pwd\`` ;\

=== debian/changelog ===
tin (1:2.6.5~20250707-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Tue, 08 Jul 2025 10:49:04 +0200

tin (1:2.6.5~20250519-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Tue, 20 May 2025 22:28:49 +0200

## tin 2.6.5~20250806

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 5
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20250707
+DVER	= 20250806
 EXE	= tin
 
 # directory structure
@@ -306,6 +306,8 @@
 	$(PODIR)/et.po \
 	$(PODIR)/fr.gmo \
 	$(PODIR)/fr.po \
+	$(PODIR)/ro.gmo \
+	$(PODIR)/ro.po \
 	$(PODIR)/ru.gmo \
 	$(PODIR)/ru.po \
 	$(PODIR)/sv.gmo \
@@ -328,11 +330,14 @@
 	$(POMANDIR)/es/tin.1 \
 	$(POMANDIR)/es/tin.5 \
 	$(POMANDIR)/es.po \
+	$(POMANDIR)/ro/tin.1 \
+	$(POMANDIR)/ro/tin.5 \
+	$(POMANDIR)/ro.po \
 	$(POMANDIR)/tin-man.pot
 
 ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(POFILES) $(L10NFILES)
 
-ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(CANDIR)/include $(CANDIR)/src $(CANDIR)/test $(CANDIR)/util/ $(PODIR) $(POMANDIR) $(POMANDIR)/de $(POMANDIR)/en_GB
+ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(PCREDIR) $(PCREDIR)/doc $(PCREDIR)/testdata $(CANDIR) $(CANDIR)/include $(CANDIR)/src $(CANDIR)/test $(CANDIR)/util/ $(PODIR) $(POMANDIR) $(POMANDIR)/de $(POMANDIR)/en_GB $(POMANDIR)/es $(POMANDIR)/ro
 
 # standard commands
 CD	= cd
@@ -468,10 +473,3 @@
 	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
 	| $(TR) "[\012]" " "`
 	@$(XZ) -z -F xz -9e $(PROJECT)-$(VER).tar
-	@$(CHMOD) 644 $(PROJECT)-$(VER).tar.xz
-	@$(LS) -l $(PROJECT)-$(VER).tar.xz
-
-#
-# I know it's ugly, but it works
-#
-name:

=== debian/changelog ===
tin (1:2.6.5~20250806-1) experimental; urgency=medium

  * New upstream snapshot.
    - Adds the keep_expired_filters option. (Closes: #1109039)

 -- Marco d'Itri <md@linux.it>  Thu, 07 Aug 2025 22:59:51 +0200

## tin 2.6.5~20250919

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 5
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20250806
+DVER	= 20250919
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.5~20250919-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + Using To/Cc/Bcc in mailing_list-groups. (Closes: #250317)

 -- Marco d'Itri <md@linux.it>  Fri, 19 Sep 2025 18:11:22 +0200

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sign/ \
ftp://ftp.tin.org/pub/news/clients/tin/v2.6/tin-([\d\.]+)\.tar\.xz

## tin 2.6.5~20251030

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 5
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20250919
+DVER	= 20251030
 EXE	= tin
 
 # directory structure

=== debian/changelog ===
tin (1:2.6.5~20251030-1) unstable; urgency=medium

  * New upstream snapshot.
  * Updated one or more debconf translations.

 -- Marco d'Itri <md@linux.it>  Sat, 01 Nov 2025 00:39:57 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  liburiparser-dev,
  libuu-dev,
  zlib1g-dev,
-Standards-Version: 4.7.0.0
+Standards-Version: 4.7.2.0
 Rules-Requires-Root: no
 Homepage: http://www.tin.org/
 Vcs-Git: https://salsa.debian.org/md/tin.git

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	dh_auto_configure -- \
 		--with-pcre2-config --with-domain-name=/etc/mailname \
 		--with-nntps=openssl \
+		--with-url-normalization=curl \
 		--with-mailbox=/var/mail \
 		--with-editor=/usr/bin/editor --with-ispell=ispell \
 		--without-pgp --without-pgpk --with-gpg=gpg \

=== debian/watch ===
Version: 5

Source: ftp://ftp.tin.org/pub/news/clients/tin/v2.6/snapshots/
Matching-Pattern: tin-@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/$/.sign/

## tin 2.6.5

=== debian/changelog ===
tin (1:2.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sat, 03 Jan 2026 22:35:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13), pkgconf,
  bison,
  libcanlock-dev,
- libcurl-dev,
+ libcurl4-openssl-dev | libcurl-dev,
  libgsasl-dev,
  libicu-dev,
  libidn2-dev,

## tin 2.6.6~20260126

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Top level Makefile for tin
 # - for configuration options read the doc/INSTALL file.
 #
-# Updated: 2025-04-25
+# Updated: 2026-01-05
 #
 
 SHELL	= @SHELL@
@@ -9,9 +9,9 @@
 PROJECT	= tin
 LVER	= 2
 PVER	= 6
-SVER	= 5
+SVER	= 6
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20251030
+DVER	= 20260126
 EXE	= tin
 
 # directory structure
@@ -333,6 +333,9 @@
 	$(POMANDIR)/ro/tin.1 \
 	$(POMANDIR)/ro/tin.5 \
 	$(POMANDIR)/ro.po \
+	$(POMANDIR)/sv/tin.1 \
+	$(POMANDIR)/sv/tin.5 \
+	$(POMANDIR)/sv.po \
 	$(POMANDIR)/tin-man.pot
 
 ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(PCRE) $(MISC) $(CAN) $(POFILES) $(L10NFILES)
@@ -472,4 +475,3 @@
 	| $(TR) -s '[[:space:]]' "[\012*]" \
 	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
 	| $(TR) "[\012]" " "`
-	@$(XZ) -z -F xz -9e $(PROJECT)-$(VER).tar

=== debian/changelog ===
tin (1:2.6.6~20260126-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Tue, 17 Feb 2026 22:22:32 +0100

## tin 2.6.6~20260222

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 PVER	= 6
 SVER	= 6
 VER	= $(LVER).$(PVER).$(SVER)
-DVER	= 20260126
+DVER	= 20260222
 EXE	= tin
 
 # directory structure
@@ -306,6 +306,8 @@
 	$(PODIR)/et.po \
 	$(PODIR)/fr.gmo \
 	$(PODIR)/fr.po \
+	$(PODIR)/ka.gmo \
+	$(PODIR)/ka.po \
 	$(PODIR)/ro.gmo \
 	$(PODIR)/ro.po \
 	$(PODIR)/ru.gmo \
@@ -473,5 +475,3 @@
 	@$(TAR) cvf $(PROJECT)-$(VER).tar -C ../ \
 	`$(ECHO) $(ALL_FILES) \
 	| $(TR) -s '[[:space:]]' "[\012*]" \
-	| $(SED) 's,^\./,$(PROJECT)-$(VER)/,' \
-	| $(TR) "[\012]" " "`

=== debian/changelog ===
tin (1:2.6.6~20260222-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Marco d'Itri <md@linux.it>  Mon, 23 Feb 2026 23:08:59 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  bison,
  libcanlock-dev,
  libcurl4-openssl-dev | libcurl-dev,
+ libexttextcat-dev,
  libgsasl-dev,
  libicu-dev,
  libidn2-dev,
@@ -15,7 +16,7 @@
  liburiparser-dev,
  libuu-dev,
  zlib1g-dev,
-Standards-Version: 4.7.2.0
+Standards-Version: 4.7.3.0
 Rules-Requires-Root: no
 Homepage: http://www.tin.org/
 Vcs-Git: https://salsa.debian.org/md/tin.git

## tin 97.03.21

=== Makefile ===
# Top level Makefile for tin - for configuration options read the ./INSTALL file.
# 
PROJECT		= tin
EXE		= tin
MANEXT		= 1
LVER		= 1.3
PVER		= 970321
VER		= $(LVER)-unoff-BETA-$(PVER)
MAIL_ADDR 	= "urs@akk.uni-karlsruhe.de"

# directory structure
TOPDIR	= .
DOCDIR	= ./doc
INCDIR	= ./include
OBJDIR	= ./src
SRCDIR	= ./src
AMGDIR	= ./amiga

HFILES	= \
	$(INCDIR)/config.h \
	$(INCDIR)/extern.h \
	$(INCDIR)/menukeys.h \
	$(INCDIR)/msmail.h \
	$(INCDIR)/nntplib.h \
	$(INCDIR)/os_2.h \
	$(INCDIR)/proto.h \
	$(INCDIR)/stpwatch.h \
	$(INCDIR)/tcurses.h \
	$(INCDIR)/tin.h \
	$(INCDIR)/tnntp.h \
	$(INCDIR)/version.h \
	$(INCDIR)/win32.h \
	$(INCDIR)/win32tcp.h

CFILES	= \
	$(SRCDIR)/active.c \
	$(SRCDIR)/actived.c \
	$(SRCDIR)/art.c \
	$(SRCDIR)/attrib.c \
	$(SRCDIR)/charset.c \
	$(SRCDIR)/color.c \
	$(SRCDIR)/config.c \
	$(SRCDIR)/curses.c \
	$(SRCDIR)/debug.c\
	$(SRCDIR)/envarg.c \
	$(SRCDIR)/feed.c \
	$(SRCDIR)/filter.c \
	$(SRCDIR)/getline.c \
	$(SRCDIR)/group.c \
	$(SRCDIR)/hashstr.c \
	$(SRCDIR)/header.c \
	$(SRCDIR)/help.c\
	$(SRCDIR)/inews.c \
	$(SRCDIR)/init.c \
	$(SRCDIR)/joinpath.c \
	$(SRCDIR)/lang.c \
	$(SRCDIR)/list.c \
	$(SRCDIR)/mail.c \
	$(SRCDIR)/main.c \
	$(SRCDIR)/makecfg.c \
	$(SRCDIR)/memory.c \
	$(SRCDIR)/misc.c \
	$(SRCDIR)/msmail.c \
	$(SRCDIR)/newsrc.c\
	$(SRCDIR)/nntplib.c \
	$(SRCDIR)/nntpw32.c \
	$(SRCDIR)/nrctbl.c \
	$(SRCDIR)/open.c \
	$(SRCDIR)/os_2.c \
	$(SRCDIR)/page.c \
	$(SRCDIR)/parsdate.y \
	$(SRCDIR)/pgp.c \
	$(SRCDIR)/post.c \
	$(SRCDIR)/prompt.c \
	$(SRCDIR)/proto.sed \
	$(SRCDIR)/refs.c \
	$(SRCDIR)/rfc1521.c \
	$(SRCDIR)/rfc1522.c \
	$(SRCDIR)/save.c \
	$(SRCDIR)/screen.c \
	$(SRCDIR)/search.c \
	$(SRCDIR)/select.c \
	$(SRCDIR)/sigfile.c \
	$(SRCDIR)/signal.c \
	$(SRCDIR)/strftime.c \
	$(SRCDIR)/string.c \
	$(SRCDIR)/tcurses.c \
	$(SRCDIR)/thread.c \
	$(SRCDIR)/wildmat.c \
	$(SRCDIR)/win32.c \
	$(SRCDIR)/win32tcp.c \
	$(SRCDIR)/xref.c \
	$(SRCDIR)/vms.c

AMIGA	=\
	$(AMGDIR)/README \
	$(AMGDIR)/smakefile \
	$(AMGDIR)/actived.c \
	$(AMGDIR)/amiga.c \
	$(AMGDIR)/amigatcp.c \
	$(AMGDIR)/amiga.h \
	$(AMGDIR)/amigatcp.h

DOC	= \
	$(DOCDIR)/CHANGES \
	$(DOCDIR)/DEBUG_REFS \
	$(DOCDIR)/Good-Netkeeping-Seal \
	$(DOCDIR)/INSTALL \
	$(DOCDIR)/TODO \
	$(DOCDIR)/WHATSNEW \
	$(DOCDIR)/auth.txt \
	$(DOCDIR)/hashing.doc \
	$(DOCDIR)/$(EXE).$(MANEXT)

TOP	= \
	$(TOPDIR)/Makefile \
	$(TOPDIR)/MANIFEST \
	$(TOPDIR)/README \
	$(TOPDIR)/tinpp \
	$(TOPDIR)/aclocal.m4 \
	$(TOPDIR)/config.guess \
	$(TOPDIR)/config.sub \
	$(TOPDIR)/configure \
	$(TOPDIR)/configure.in \
	$(TOPDIR)/install.sh \
	$(TOPDIR)/makefile.in \
	$(TOPDIR)/conf-tin

ALL_FILES = $(TOP) $(DOC) $(HFILES) $(CFILES) $(AMIGA) \
	$(INCDIR)/autoconf.hin \
	$(SRCDIR)/Makefile.in \
	$(SRCDIR)/l1_next.tab \
	$(SRCDIR)/next_l1.tab \
	$(SRCDIR)/tincfg.tbl

ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(AMGDIR)

# standard commands
CD		= cd
CHMOD		= chmod
CP		= cp -p
ECHO		= echo
LS		= ls -l
MAKE		= make
MV		= mv
NROFF		= groff -Tascii
RM		= rm
SHELL		= /bin/sh
TAR		= gtar
WC		= wc
SED		= sed
TR		= tr

all: 
	@$(ECHO) "Top level Makefile for the TIN v$(VER) Usenet newsreader."
	@$(ECHO) " "
	@$(ECHO) "To compile the source code change to the source directory by"
	@$(ECHO) "typing 'cd src' and then type 'make' for more instructions."
	@$(ECHO) " "
	@$(ECHO) "This Makefile offers the following general purpose options:"
	@$(ECHO) " "
	@$(ECHO) "    make clean           [ Delete all object files & backup files ]"
	@$(ECHO) "    make install         [ Install the binary & the manual page ]"
	@$(ECHO) "    make install_daemon  [ Install the index daemon binary ]"
	@$(ECHO) "    make install_setuid  [ Install the binary setuid & the manual page ]"
	@$(ECHO) "    make manpage         [ Create nroff version of manual page ]"
	@$(ECHO) "    make manifest        [ Create MANIFEST ]"
	@$(ECHO) "    make dist            [ Create a gziped distribution tar file ]"

install:
	@$(CD) $(SRCDIR); $(MAKE) install

install_setuid:
	@$(CD) $(SRCDIR); $(MAKE) install_setuid

install_daemon:
	@$(CD) $(SRCDIR); $(MAKE) install_daemon

clean:
	@$(CD) $(SRCDIR); $(MAKE) clean
	@$(RM) -f *~
	@$(RM) -f $(DOCDIR)/*~
	@$(RM) -f $(INCDIR)/*~
	@$(RM) -f $(SRCDIR)/*~

man:
	@$(MAKE) manpage

manpage:
	@$(ECHO) "Creating $(NROFF) man page for $(EXE)$(VER)..."
	@$(NROFF) -man $(DOCDIR)/$(EXE).1 > $(DOCDIR)/$(EXE).nrf

# Use 2 passes for creating MANIFEST because its size changes (it's not likely
# that we'll need 3 passes, since that'll happen only when the grand total's
# digits change).
manifest:
	@$(ECHO) "Creating MANIFEST..."
	@$(ECHO) "MANIFEST for $(PROJECT)-$(VER) (`date`)" > MANIFEST.tmp
	@$(ECHO) "----------------------------------------------------" >> MANIFEST.tmp
	@$(CP) MANIFEST.tmp MANIFEST
	@$(WC) -c $(ALL_FILES) >> MANIFEST
	@$(WC) -c $(ALL_FILES) >> MANIFEST.tmp
	@$(MV) MANIFEST.tmp MANIFEST

chmod:
	@$(ECHO) "Setting the file permissions..."
	@$(CHMOD) 644 $(ALL_FILES)
	@$(CHMOD) 755 $(ALL_DIRS)
	@$(CHMOD) 755 ./conf-tin ./config.guess ./config.sub ./configure ./install.sh ./tinpp

tar:
	@$(ECHO) "Generating gzipped tar file..."
	@-$(RM) $(PROJECT)$(VER).tgz > /dev/null 2>&1  
	@$(TAR) cvzf $(PROJECT)$(VER).tgz -C ../ \
	`$(ECHO) $(ALL_FILES) \
	| $(TR) -s '[[:space:]]' "[\012*]" \
	| $(SED) 's,^\./,$(PROJECT)-$(PVER)/,' \
 	| $(TR) "[\012]" " "`
	@$(CHMOD) 644 $(PROJECT)$(VER).tgz
	@$(LS) $(PROJECT)$(VER).tgz

#
# I know it's ugly, but it works
#
name:
	@DATE=`date +%y%m%d`;  if test `pwd | cut -d '-' -f 2` != $$DATE ; then \
	mv ../`basename \`pwd\`` ../tin-$$DATE ; \
	sed "s,^PVER[[:space:]]*=[[:print:]]*,PVER		= $$DATE," ./Makefile > ./Makefile.tmp \
	&& mv ./Makefile.tmp ./Makefile ; \
	sed "s,RELEASEDATE[[:space:]]*\"[[:print:]]*\",RELEASEDATE	\"$$DATE\"," $(INCDIR)/version.h > $(INCDIR)/version.h.tmp \
	&& mv $(INCDIR)/version.h.tmp $(INCDIR)/version.h ; \
	sed "s,^PVER[[:space:]]*=[[:print:]]*,PVER		= $$DATE," ./makefile.in > ./makefile.in.tmp \
	&& mv ./makefile.in.tmp ./makefile.in ; \
	fi

dist:
	@$(MAKE) name
	@$(MAKE) configure
	@$(MAKE) manifest
	@$(MAKE) chmod
	@$(MAKE) tar

version :
	@$(ECHO) "TIN v$(VER)"

distclean:
	-@$(MAKE) clean
	@$(RM) -f config.cache config.log config.status
	@$(RM) -f $(INCDIR)/autoconf.h
	@$(RM) -f $(SRCDIR)/Makefile
	@$(RM) -f td-conf.out
	@$(RM) -f makefile
	
configure: configure.in aclocal.m4
	autoconf

config.status: configure
	./config.status --recheck

## tin 981002

=== Makefile ===
# Top level Makefile for tin
# - for configuration options read the doc/INSTALL file.
#
# Updated: 1998-02-15
#

PROJECT	= tin
EXE	= tin
MANEXT	= 1
LVER	= 1.4
PVER	= 981002
VER	= pre-$(LVER)-$(PVER)

# directory structure
TOPDIR	= .
DOCDIR	= ./doc
INCDIR	= ./include
OBJDIR	= ./src
SRCDIR	= ./src
AMGDIR	= ./amiga
VMSDIR	= ./vms
PCREDIR	= ./pcre
TOLDIR	= ./tools
OLDDIR	= ./old

HFILES	= \
	$(INCDIR)/bool.h \
	$(INCDIR)/bugrep.h \
	$(INCDIR)/config.h \
	$(INCDIR)/extern.h \
	$(INCDIR)/menukeys.h \
	$(INCDIR)/nntplib.h \
	$(INCDIR)/proto.h \
	$(INCDIR)/stpwatch.h \
	$(INCDIR)/tcurses.h \
	$(INCDIR)/tin.h \
	$(INCDIR)/tnntp.h \
	$(INCDIR)/trace.h \
	$(INCDIR)/version.h \

CFILES	= \
	$(SRCDIR)/active.c \
	$(SRCDIR)/art.c \
	$(SRCDIR)/attrib.c \
	$(SRCDIR)/auth.c \
	$(SRCDIR)/charset.c \
	$(SRCDIR)/color.c \
	$(SRCDIR)/config.c \
	$(SRCDIR)/curses.c \
	$(SRCDIR)/debug.c\
	$(SRCDIR)/envarg.c \
	$(SRCDIR)/feed.c \
	$(SRCDIR)/filter.c \
	$(SRCDIR)/getline.c \
	$(SRCDIR)/group.c \
	$(SRCDIR)/hashstr.c \
	$(SRCDIR)/header.c \
	$(SRCDIR)/help.c\
	$(SRCDIR)/inews.c \
	$(SRCDIR)/init.c \
	$(SRCDIR)/joinpath.c \
	$(SRCDIR)/lang.c \
	$(SRCDIR)/list.c \
	$(SRCDIR)/mail.c \
	$(SRCDIR)/main.c \
	$(SRCDIR)/makecfg.c \
	$(SRCDIR)/memory.c \
	$(SRCDIR)/misc.c \
	$(SRCDIR)/newsrc.c\
	$(SRCDIR)/nntplib.c \
	$(SRCDIR)/nrctbl.c \
	$(SRCDIR)/open.c \
	$(SRCDIR)/page.c \
	$(SRCDIR)/parsdate.y \
	$(SRCDIR)/pgp.c \
	$(SRCDIR)/post.c \
	$(SRCDIR)/prompt.c \
	$(SRCDIR)/read.c \
	$(SRCDIR)/refs.c \
	$(SRCDIR)/regex.c \
	$(SRCDIR)/rfc1521.c \
	$(SRCDIR)/rfc1522.c \
	$(SRCDIR)/save.c \
	$(SRCDIR)/screen.c \
	$(SRCDIR)/search.c \
	$(SRCDIR)/select.c \
	$(SRCDIR)/sigfile.c \
	$(SRCDIR)/signal.c \
	$(SRCDIR)/strftime.c \
	$(SRCDIR)/string.c \
	$(SRCDIR)/tcurses.c \
	$(SRCDIR)/thread.c \
	$(SRCDIR)/trace.c \
	$(SRCDIR)/wildmat.c \
	$(SRCDIR)/xref.c

AMIGA	= \
	$(AMGDIR)/README \
	$(AMGDIR)/tin.readme \
	$(AMGDIR)/smakefile \
	$(AMGDIR)/actived.c \
	$(AMGDIR)/amiga.c \
	$(AMGDIR)/amigatcp.c \
	$(AMGDIR)/amiga.h \
	$(AMGDIR)/amigatcp.h

VMS	= \
	$(VMSDIR)/dir.h \
	$(VMSDIR)/filetypes.h \
	$(VMSDIR)/getopt.c \
	$(VMSDIR)/getopt.h \
	$(VMSDIR)/getopt1.c \
	$(VMSDIR)/getpass.c \
	$(VMSDIR)/isxterm.c \
	$(VMSDIR)/libvms.mms \
	$(VMSDIR)/ndir.h \
	$(VMSDIR)/parsdate.c \
	$(VMSDIR)/parse.c \
	$(VMSDIR)/parse.h \
	$(VMSDIR)/pwd.h \
	$(VMSDIR)/qsort.c \
	$(VMSDIR)/select.h \
	$(VMSDIR)/strings.h \
	$(VMSDIR)/uaf.h \
	$(VMSDIR)/vms.c \
	$(VMSDIR)/vmsdir.c \
	$(VMSDIR)/vmsfile.c \
	$(VMSDIR)/vmspwd.c \
	$(VMSDIR)/vmstimval.h

DOC	= \
	$(DOCDIR)/CHANGES \
	$(DOCDIR)/DEBUG_REFS \
	$(DOCDIR)/INSTALL \
	$(DOCDIR)/TODO \
	$(DOCDIR)/WHATSNEW \
	$(DOCDIR)/auth.txt \
	$(DOCDIR)/filtering \
	$(DOCDIR)/internals.txt \
	$(DOCDIR)/iso2asc.txt \
	$(DOCDIR)/good-netkeeping-seal \
	$(DOCDIR)/umlaute.txt \
	$(DOCDIR)/tin.defaults \
	$(DOCDIR)/$(EXE).$(MANEXT)

TOL	= \
	$(TOLDIR)/metamutt \
	$(TOLDIR)/tinpp \
	$(TOLDIR)/expand_aliases.tgz

TOP	= \
	$(TOPDIR)/Makefile \
	$(TOPDIR)/MANIFEST \
	$(TOPDIR)/README \
	$(TOPDIR)/README.VMS \
	$(TOPDIR)/aclocal.m4 \
	$(TOPDIR)/conf-tin \
	$(TOPDIR)/config.guess \
	$(TOPDIR)/config.sub \
	$(TOPDIR)/configure \
	$(TOPDIR)/configure.in \
	$(TOPDIR)/install.sh \
	$(TOPDIR)/makefile.in \
	$(TOPDIR)/mkdirs.sh

PCRE	= \
	$(PCREDIR)/ChangeLog \
	$(PCREDIR)/Makefile.in \
	$(PCREDIR)/Makefile.orig \
	$(PCREDIR)/RunTest \
	$(PCREDIR)/README \
	$(PCREDIR)/Tech.Notes \
	$(PCREDIR)/pgrep.1 \
	$(PCREDIR)/pcre.3 \
	$(PCREDIR)/pcreposix.3 \
	$(PCREDIR)/maketables.c \
	$(PCREDIR)/pcre.c \
	$(PCREDIR)/pcreposix.c \
	$(PCREDIR)/pgrep.c \
	$(PCREDIR)/study.c \
	$(PCREDIR)/internal.h \
	$(PCREDIR)/pcre.h \
	$(PCREDIR)/pcreposix.h \
	$(PCREDIR)/pcretest.c \
	$(PCREDIR)/perltest \
	$(PCREDIR)/testinput \
	$(PCREDIR)/testinput2 \
	$(PCREDIR)/testoutput \
	$(PCREDIR)/testoutput2

OLD	= \
	$(OLDDIR)/msmail.c \
	$(OLDDIR)/nntpvms.c \
	$(OLDDIR)/nntpw32.c \
	$(OLDDIR)/os_2.c \
	$(OLDDIR)/win32.c \
	$(OLDDIR)/win32tcp.c \
	$(OLDDIR)/msmail.h \
	$(OLDDIR)/os_2.h \
	$(OLDDIR)/win32.h \
	$(OLDDIR)/win32tcp.h

MISC	= \
	$(INCDIR)/autoconf.hin \
	$(SRCDIR)/Makefile.in \
	$(SRCDIR)/ibm437_l1.tab \
	$(SRCDIR)/ibm850_l1.tab \
	$(SRCDIR)/l1_ibm437.tab \
	$(SRCDIR)/l1_ibm850.tab \
	$(SRCDIR)/l1_next.tab \
	$(SRCDIR)/next_l1.tab \
	$(SRCDIR)/tincfg.tbl \
	$(SRCDIR)/descrip.mms \
	$(PCREDIR)/pcre.mms

ALL_FILES = $(TOP) $(DOC) $(TOL) $(HFILES) $(CFILES) $(AMIGA) $(VMS) $(PCRE) $(MISC) $(OLD)

ALL_DIRS = $(TOPDIR) $(DOCDIR) $(SRCDIR) $(INCDIR) $(AMGDIR) $(VMSDIR) $(PCREDIR) $(OLDDIR)

# standard commands
CD	= cd
CHMOD	= chmod
CP	= cp -p
ECHO	= echo
LS	= ls -l
MAKE	= make
MV	= mv
NROFF	= groff -Tascii
RM	= rm
SHELL	= /bin/sh
TAR	= gtar
BZIP2	= bzip2
WC	= wc
SED	= sed
TR	= tr

all:
	@$(ECHO) "Top level Makefile for the TIN v$(VER) Usenet newsreader."
	@$(ECHO) " "
	@$(ECHO) "To compile the source code change to the source directory by"
	@$(ECHO) "typing 'cd src' and then type 'make' for more instructions."
	@$(ECHO) " "
	@$(ECHO) "This Makefile offers the following general purpose options:"
	@$(ECHO) " "
	@$(ECHO) "    make clean           [ Delete all object files & backup files ]"
	@$(ECHO) "    make install         [ Install the binary & the manual page ]"
	@$(ECHO) "    make install_daemon  [ Install the index daemon binary ]"
	@$(ECHO) "    make install_setuid  [ Install the binary setuid & the manual page ]"
	@$(ECHO) "    make manpage         [ Create nroff version of manual page ]"
	@$(ECHO) "    make manifest        [ Create MANIFEST ]"
	@$(ECHO) "    make dist            [ Create a gziped distribution tar file ]"

install:
	@$(CD) $(SRCDIR) && $(MAKE) install

install_setuid:
	@$(CD) $(SRCDIR) && $(MAKE) install_setuid

install_daemon:
	@$(CD) $(SRCDIR) && $(MAKE) install_daemon

clean:
	@-$(RM) -f *~
	@-$(RM) -f $(DOCDIR)/*~
	@-$(RM) -f $(INCDIR)/*~
	@-$(RM) -f $(SRCDIR)/*~
	@-$(RM) -f $(PCREDIR)/*~
	@-test -e $(SRCDIR)/Makefile && $(CD) $(SRCDIR) && $(MAKE) clean

man:
	@$(MAKE) manpage

manpage:
	@$(ECHO) "Creating $(NROFF) man page for $(EXE)$(VER)..."
	@$(NROFF) -man $(DOCDIR)/$(EXE).1 > $(DOCDIR)/$(EXE).nrf

# Use 2 passes for creating MANIFEST because its size changes (it's not likely
# that we'll need 3 passes, since that'll happen only when the grand total's
# digits change).
manifest:
	@$(ECHO) "Creating MANIFEST..."
	@$(ECHO) "MANIFEST for $(PROJECT)-$(VER) (`date`)" > MANIFEST.tmp
	@$(ECHO) "----------------------------------------------------" >> MANIFEST.tmp
	@$(CP) MANIFEST.tmp MANIFEST
	@$(WC) -c $(ALL_FILES) >> MANIFEST
	@$(WC) -c $(ALL_FILES) >> MANIFEST.tmp
	@$(MV) MANIFEST.tmp MANIFEST

chmod:
	@$(ECHO) "Setting the file permissions..."
	@$(CHMOD) 644 $(ALL_FILES)
	@$(CHMOD) 755 $(ALL_DIRS)
	@$(CHMOD) 755 ./conf-tin ./config.guess ./config.sub ./configure ./install.sh ./mkdirs.sh
	@$(CHMOD) 755 $(TOLDIR)/tinpp $(TOLDIR)/metamutt $(PCREDIR)/perltest

tar:
	@$(ECHO) "Generating gzipped tar file..."
	@-$(RM) $(PROJECT)$(VER).tgz > /dev/null 2>&1
	@$(TAR) cvzf $(PROJECT)$(VER).tgz -C ../ \
	`$(ECHO) $(ALL_FILES) \
	| $(TR) -s '[[:space:]]' "[\012*]" \
	| $(SED) 's,^\./,$(PROJECT)-$(PVER)/,' \
	| $(TR) "[\012]" " "`
	@$(CHMOD) 644 $(PROJECT)$(VER).tgz
	@$(LS) $(PROJECT)$(VER).tgz

bzip2:
	@$(ECHO) "Generating bzipped tar file..."
	@-$(RM) $(PROJECT)$(VER).tgz > /dev/null 2>&1
	@$(TAR) cvf $(PROJECT)$(VER).tar -C ../ \
	`$(ECHO) $(ALL_FILES) \
	| $(TR) -s '[[:space:]]' "[\012*]" \
	| $(SED) 's,^\./,$(PROJECT)-$(PVER)/,' \
	| $(TR) "[\012]" " "`
	@$(BZIP2) $(PROJECT)$(VER).tar
	@$(CHMOD) 644 $(PROJECT)$(VER).tar.bz2
	@$(LS) $(PROJECT)$(VER).tar.bz2

#
# I know it's ugly, but it works
#
name:
	@DATE=`date +%y%m%d`; if test `pwd | cut -d '-' -f 2` != $$DATE ; then \
	$(MV) ../`basename \`pwd\`` ../tin-$$DATE ; \
	$(SED) "s,^PVER[[:space:]]*=[[:print:]]*,PVER	= $$DATE," ./Makefile > ./Makefile.tmp \
	&& $(MV) ./Makefile.tmp ./Makefile ; \
	$(SED) "s,RELEASEDATE[[:space:]]*\"[[:print:]]*\",RELEASEDATE	\"$$DATE\"," $(INCDIR)/version.h > $(INCDIR)/version.h.tmp \
	&& $(MV) $(INCDIR)/version.h.tmp $(INCDIR)/version.h ; \
	$(SED) "s,^PVER[[:space:]]*=[[:print:]]*,PVER		= $$DATE," ./makefile.in > ./makefile.in.tmp \
	&& $(MV) ./makefile.in.tmp ./makefile.in ; \
	fi

dist:
	@$(MAKE) name
	@$(MAKE) configure
	@$(MAKE) manifest
	@$(MAKE) chmod
	@$(MAKE) tar

version :
	@$(ECHO) "TIN $(VER)"

distclean:
	@-$(MAKE) clean
	@-$(RM) -f config.cache config.log config.status
	@-$(RM) -f $(INCDIR)/autoconf.h
	@-$(RM) -f $(PCREDIR)/maketables $(PCREDIR)/chartables.c
	@-$(RM) -f $(PCREDIR)/Makefile
	@-$(RM) -f $(SRCDIR)/Makefile
	@-$(RM) -f td-conf.out
	@-$(RM) -f makefile

configure: configure.in aclocal.m4
	autoconf

config.status: configure
	./config.status --recheck
